Package org.apache.tomcat.util.descriptor.tld

## Class TldParser

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldParser

    public class TldParser
    extends java.lang.Object

Parses a Tag Library Descriptor.

### Constructor Summary

Constructors
`TldParser​(boolean namespaceAware, boolean validation, boolean blockExternal)`
`TldParser​(boolean namespaceAware, boolean validation, RuleSet ruleSet, boolean blockExternal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TaglibXml` `parse​(TldResourcePath path)`
`void` `setClassLoader​(java.lang.ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TldParser

    public TldParser​(boolean namespaceAware,
                     boolean validation,
                     boolean blockExternal)

#### TldParser

    public TldParser​(boolean namespaceAware,
                     boolean validation,
                     RuleSet ruleSet,
                     boolean blockExternal)

### Method Detail

#### parse

    public TaglibXml parse​(TldResourcePath path)
                    throws java.io.IOException,
                           org.xml.sax.SAXException

Throws:
  `java.io.IOException`
  `org.xml.sax.SAXException`

#### setClassLoader

    public void setClassLoader​(java.lang.ClassLoader classLoader)